<?php
return [
    'ctrl' => [
        'title' => 'LLL:EXT:ig_crm_template/Resources/Private/Language/locallang_db.xlf:tx_igcrmtemplate_domain_model_csspagedmediamarginbox',
        'label' => 'position',
        'tstamp' => 'tstamp',
        'crdate' => 'crdate',
        'cruser_id' => 'cruser_id',
        'delete' => 'deleted',
        'enablecolumns' => [
            'disabled' => 'hidden',
        ],
        'searchFields' => 'position,partial,template,content,page_css,element_css, css',
        'iconfile' => 'EXT:ig_crm_template/Resources/Public/Icons/tx_igcrmtemplate_domain_model_csspagedmediamarginbox.gif'
    ],
    'types' => [
        '1' => ['showitem' => 'position, partial, template, content, --div--;CSS, page_css, element_css, css, --div--;LLL:EXT:core/Resources/Private/Language/Form/locallang_tabs.xlf:access, hidden, '],
    ],
    'columns' => [
        'hidden' => [
            'exclude' => true,
            'label' => 'LLL:EXT:core/Resources/Private/Language/locallang_general.xlf:LGL.visible',
            'config' => [
                'type' => 'check',
                'renderType' => 'checkboxToggle',
                'items' => [
                    [
                        0 => '',
                        1 => '',
                        'invertStateDisplay' => true
                    ]
                ],
            ],
        ],

        'position' => [
            'exclude' => true,
            'label' => 'LLL:EXT:ig_crm_template/Resources/Private/Language/locallang_db.xlf:tx_igcrmtemplate_domain_model_csspagedmediamarginbox.position',
            'config' => [
                'type' => 'select',
                'renderType' => 'selectSingle',
                'default' => null,
                'eval' => 'top-left',
                'items' => [
                    ['top-left', 'top-left'],
                    ['top-center', 'top-center'],
                    ['top-right', 'top-right'],
                    ['bottom-left', 'bottom-left'],
                    ['bottom-center', 'bottom-center'],
                    ['bottom-right', 'bottom-right'],
                ],
            ],
        ],
        'partial' => [
            'exclude' => true,
            'label' => 'LLL:EXT:ig_crm_template/Resources/Private/Language/locallang_db.xlf:tx_igcrmtemplate_domain_model_csspagedmediamarginbox.partial',
            'config' => [
                'type' => 'input',
                'size' => 30,
                'eval' => 'trim',
                'default' => ''
            ],
        ],
        'template' => [
            'exclude' => true,
            'label' => 'LLL:EXT:ig_crm_template/Resources/Private/Language/locallang_db.xlf:tx_igcrmtemplate_domain_model_csspagedmediamarginbox.template',
            'config' => [
                'type' => 'text',
                'cols' => 40,
                'rows' => 15,
                'eval' => 'trim',
                'default' => ''
            ]
        ],
        'content' => [
            'exclude' => true,
            'label' => 'LLL:EXT:ig_crm_template/Resources/Private/Language/locallang_db.xlf:tx_igcrmtemplate_domain_model_csspagedmediamarginbox.content',
            'config' => [
                'type' => 'input',
                'size' => 30,
                'eval' => 'trim',
                'default' => ''
            ],
        ],
        'page_css' => [
            'exclude' => true,
            'label' => 'LLL:EXT:ig_crm_template/Resources/Private/Language/locallang_db.xlf:tx_igcrmtemplate_domain_model_csspagedmediamarginbox.page_css',
            'config' => [
                'type' => 'text',
                'cols' => 40,
                'rows' => 15,
                'eval' => 'trim',
                'default' => ''
            ]
        ],
        'element_css' => [
            'exclude' => true,
            'label' => 'LLL:EXT:ig_crm_template/Resources/Private/Language/locallang_db.xlf:tx_igcrmtemplate_domain_model_csspagedmediamarginbox.element_css',
            'config' => [
                'type' => 'text',
                'cols' => 40,
                'rows' => 15,
                'eval' => 'trim',
                'default' => ''
            ]
        ],
        'css' => [
            'exclude' => true,
            'label' => 'LLL:EXT:ig_crm_template/Resources/Private/Language/locallang_db.xlf:tx_igcrmtemplate_domain_model_csspagedmediamarginbox.css',
            'config' => [
                'type' => 'text',
                'cols' => 40,
                'rows' => 15,
                'eval' => 'trim',
                'default' => ''
            ]
        ],
    
        'templatepagelayout' => [
            'config' => [
                'type' => 'passthrough',
            ],
        ],
    ],
];
