<?php

declare(strict_types=1);

namespace Internetgalerie\IgCrmTemplate\Domain\Model;

/**
 * CssPagedMediaMarginBox
 */
class CssPagedMediaMarginBox extends \TYPO3\CMS\Extbase\DomainObject\AbstractEntity
{
    /**
     * position
     *
     * @var string
     */
    protected $position = '';

    /**
     * partial
     *
     * @var string
     */
    protected $partial = '';

    /**
     * template
     *
     * @var string
     */
    protected $template = '';

    /**
     * content
     *
     * @var string
     */
    protected $content = '';

    /**
     * pageCss
     *
     * @var string
     */
    protected $pageCss = '';

    /**
     * elementCss
     *
     * @var string
     */
    protected $elementCss = '';

    /**
     * css
     *
     * @var string
     */
    protected $css = '';

    /**
     * Returns the position
     *
     * @return string
     */
    public function getPosition()
    {
        return $this->position;
    }

    /**
     * Sets the position
     */
    public function setPosition(string $position)
    {
        $this->position = $position;
    }

    /**
     * Returns the partial
     *
     * @return string
     */
    public function getPartial()
    {
        return $this->partial;
    }

    /**
     * Sets the partial
     */
    public function setPartial(string $partial)
    {
        $this->partial = $partial;
    }

    /**
     * Returns the template
     *
     * @return string
     */
    public function getTemplate()
    {
        return $this->template;
    }

    /**
     * Sets the template
     */
    public function setTemplate(string $template)
    {
        $this->template = $template;
    }

    /**
     * Returns the content
     *
     * @return string
     */
    public function getContent()
    {
        return $this->content;
    }

    /**
     * Sets the content
     */
    public function setContent(string $content)
    {
        $this->content = $content;
    }

    /**
     * Returns the pageCss
     *
     * @return string
     */
    public function getPageCss()
    {
        return $this->pageCss;
    }

    /**
     * Sets the pageCss
     */
    public function setPageCss(string $pageCss)
    {
        $this->pageCss = $pageCss;
    }

    /**
     * Returns the elementCss
     *
     * @return string
     */
    public function getElementCss()
    {
        return $this->elementCss;
    }

    /**
     * Sets the elementCss
     */
    public function setElementCss(string $elementCss)
    {
        $this->elementCss = $elementCss;
    }

    /**
     * Returns the css
     *
     * @return string
     */
    public function getCss()
    {
        return $this->css;
    }

    /**
     * Sets the css
     */
    public function setCss(string $css)
    {
        $this->css = $css;
    }
}
