<?php

namespace Internetgalerie\IgCrmTemplate\ViewHelpers;

use Internetgalerie\IgCrmTemplate\Utility\CrmTranslate;
use TYPO3Fluid\Fluid\Core\Rendering\RenderingContextInterface;
use TYPO3Fluid\Fluid\Core\ViewHelper\AbstractViewHelper;

class TranslateViewHelper extends AbstractViewHelper
{
    /**
     * Initialize the arguments.
     * @api
     */
    public function initializeArguments()
    {
        parent::initializeArguments();
        //$this->registerAsArgument();
        $this->registerArgument(
            'languageKey',
            'string',
            'Key for getting translation of a different than current initialized language',
            false,
            null
        );
        $this->registerArgument('key', 'string', 'translation key', false, null);
    }

    /**
     * Content Renderer
     * @return string
     */
    public static function renderStatic(
        array $arguments,
        \Closure $renderChildrenClosure,
        RenderingContextInterface $renderingContext
    ) {
        return CrmTranslate::translate($arguments['key'], $arguments['languageKey']);
    }
}
